%define upstream_name     MIME-EncWords
%define upstream_version  1.011.1

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 1
Epoch:          1

Summary:        Deal with RFC-1522 encoded words (improved)
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/%{upstream_name}
Source0:        http://www.cpan.org/modules/by-module/MIME/%{upstream_name}-%{upstream_version}.tar.gz

%if %{mdkversion} < 1010
Buildrequires:  perl-devel
%endif
BuildRequires:  perl(MIME::Charset)
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}

%description
Fellow Americans, you probably won't know what the hell this module is for.
Europeans, Russians, et al, you probably do. :-)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc ARTISTIC GPL README
%{perl_vendorlib}/MIME
%{_mandir}/*/*




%changelog
* Sat Jul 25 2009 Jérôme Quelin <jquelin@mandriva.org> 1:1.11.1-1mdv2010.0
+ Revision: 399734
- bumping epoch to take new version into account
- update to 1.011.1 for real this time
- using %%perl_convert_version
- fixed license field

* Thu Jun 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.011.1-1mdv2010.0
+ Revision: 387011
- update to new version 1.011.1

* Wed May 20 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.011-1mdv2010.0
+ Revision: 377834
- update to new version 1.011

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.010.101-2mdv2009.0
+ Revision: 265416
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.010.101-1mdv2009.0
+ Revision: 196827
- update to new version 1.010.101

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.010.1-1mdv2009.0
+ Revision: 194860
- update to new version 1.010.1

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.010-1mdv2009.0
+ Revision: 193861
- update to new version 1.010

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.04.0-2mdv2008.1
+ Revision: 180434
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Nov 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.04.0-1mdv2007.0
+ Revision: 86557
- new version

* Wed Nov 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.03.2-1mdv2007.1
+ Revision: 84308
- fix doc files
- Import perl-MIME-EncWords

* Wed Nov 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.03.2-1mdv2007.1
- first mdv release

